Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.TXT2PDFSettingData Class Reference

Inherits FoxitPDFSDKPython3._object.

## Public Member Functions
def | TXT2PDFSettingData ()
| Constructor.
def | TXT2PDFSettingData (page_width, page_height, page_margin, font, text_size, text_color, linespace, is_break_page)
| Constructor, with parameters. More...
def | Set (page_width, page_height, page_margin, font, text_size, text_color, linespace, is_break_page)
| Set value. More...

## Static Public Attributes
| font = _fsdk.TXT2PDFSettingData_font
| A font object.
| is_break_page = _fsdk.TXT2PDFSettingData_is_break_page
| Used to decide whether to insert a page break in converted PDF document when meeting character 0x0c.
| linespace = _fsdk.TXT2PDFSettingData_linespace
| Line spacing. If valid, it should be above 0.
| page_height = _fsdk.TXT2PDFSettingData_page_height
| Page height used for the converted PDF document.
| page_margin = _fsdk.TXT2PDFSettingData_page_margin
| Page margin used for converted PDF document. More...
| page_width = _fsdk.TXT2PDFSettingData_page_width
| Page width used for the converted PDF document.
| text_color = _fsdk.TXT2PDFSettingData_text_color
| Font color.
| text_size = _fsdk.TXT2PDFSettingData_text_size
| Font size. If valid, it should be above 0.

## Detailed Description

This class represents setting data used for converting TXT to PDF.

## Constructor & Destructor Documentation

## ◆ TXT2PDFSettingData()

def FoxitPDFSDKPython3.TXT2PDFSettingData.TXT2PDFSettingData | ( |  | page_width,
|  |  | page_height,
|  |  | page_margin,
|  |  | font,
|  |  | text_size,
|  |  | text_color,
|  |  | linespace,
|  |  | is_break_page
| ) |  |

Constructor, with parameters.

Parameters

  [in] | page_width | Page width used for the converted PDF document.
  [in] | page_height | Page height used for the converted PDF document.
  [in] | page_margin | Page margin used for converted PDF document.
  [in] | font | Font object used for converted PDF document.
  [in] | text_size | Font size used for converted PDF document.
  [in] | text_color | Font color used for converted PDF document.
  [in] | linespace | Line space used for converted PDF document.
  [in] | is_break_page | Used to decide whether to insert a page break in converted PDF document when meeting character 0x0c.

Returns
  None.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython3.TXT2PDFSettingData.Set | ( |  | page_width,
|  |  | page_height,
|  |  | page_margin,
|  |  | font,
|  |  | text_size,
|  |  | text_color,
|  |  | linespace,
|  |  | is_break_page
| ) |  |

Set value.

Parameters

  [in] | page_width | Page width used for the converted PDF document.
  [in] | page_height | Page height used for the converted PDF document.
  [in] | page_margin | Page margin used for converted PDF document.
  [in] | font | Font object used for converted PDF document.
  [in] | text_size | Font size used for converted PDF document.
  [in] | text_color | Font color used for converted PDF document.
  [in] | linespace | Line space used for converted PDF document.
  [in] | is_break_page | Used to decide whether to insert a page break in converted PDF document when meeting character 0x0c.

Returns
  None.

## Member Data Documentation

## ◆ page_margin

FoxitPDFSDKPython3.TXT2PDFSettingData.page_margin = _fsdk.TXT2PDFSettingData_page_margin
| static

Page margin used for converted PDF document.

Note
  This value does not represent a rectangle. It just defines the left margin, bottom margin, right margin and top margin of a PDF page.